List a WABA's message templates
curl --request GET \
--url https://cloud.watahub.dev/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"status": "<string>",
"category": "<string>",
"components": [
{
"type": "<string>",
"format": "<string>",
"text": "<string>",
"buttons": [
{}
],
"example": {}
}
],
"parameter_format": "<string>"
}
],
"paging": {
"after": "<string>"
}
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}API reference
List a WABA's message templates
List a WABA’s message templates
GET
/
v1
/
templates
List a WABA's message templates
curl --request GET \
--url https://cloud.watahub.dev/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.watahub.dev/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cloud.watahub.dev/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"language": "<string>",
"status": "<string>",
"category": "<string>",
"components": [
{
"type": "<string>",
"format": "<string>",
"text": "<string>",
"buttons": [
{}
],
"example": {}
}
],
"parameter_format": "<string>"
}
],
"paging": {
"after": "<string>"
}
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}{
"error": "<string>",
"fields": [
"<string>"
],
"requestId": "<string>"
}Authorizations
bearerApiKeyheaderApiKey
Tenant API key.
Query Parameters
One of the tenant's WABAs. Numeric Meta Graph ID.
Pattern:
^\d+$The paging.after of the previous page. A value that is not a Meta paging cursor is rejected with 422 (ValidationError) before Meta is called.
Maximum string length:
1024Pattern:
^[A-Za-z0-9+/=_-]+$Was this page helpful?